<?php include_once("../lib/control.seguridad.php"); ?>
<?php

	$fecha_inicio = date('d-m-Y', mktime(0,0,0, date('m'), 1, date('Y')));
	$fecha_termino = date('d-m-Y', mktime(0,0,0, date('m'), date("d", mktime(0,0,0, date('m')+1, 0, date('Y'))), date('Y'))); 
	
	$fecha_inicio_b = date('d-m-Y', mktime(0,0,0, date('m'), 1, date('Y')));
	$fecha_termino_b = date('d-m-Y', mktime(0,0,0, date('m'), date("d", mktime(0,0,0, date('m')+1, 0, date('Y'))), date('Y'))); 	

	$boton = "<button type='button' class='btn btn-info btn-sm' id='btnEnviar' name='btnEnviar'>INGRESAR</button>";
	
	$id = 0;
	$fecha_inicio = date("d-m-Y");
	$fecha_termino = date("d-m-Y");
	$fecha_retorno = date("d-m-Y");	
	$cantidad = 0;	
	$hora_inicio = "08:00";
	$hora_termino = "08:00";
	$id_tipo_permiso = 0;
	$id_persona = 0;
	$id_reposo = 0;	
	$id_autoriza = $_SESSION['LOGIN']['CODIGO'];
	$observacion = "";	
	$nombrePersona = "";
	$nombreAuroriza = $_SESSION['LOGIN']['NOMBRE'];	

	$rut = "";
	$cargopersona = "";	
	
	$hide = "d-none";
    if($_POST){

		$hide = "";
		$url = 'http://200.24.13.60/~program1/power-time-api/public/obtenerpermiso';
		$ch = curl_init($url); //create a new cURL resource
		$payload = json_encode(array('id' => $_POST["txtId"], 'api_token'=> 'lEkujNtWXOCCsOhRBIRON8I8wWZVhHGm5JylqMZC'));
		curl_setopt($ch, CURLOPT_POSTFIELDS, $payload);//attach encoded JSON string to the POST fields
		curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type:application/json')); //set the content type to application/json
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true); //return response instead of outputting
		$result = curl_exec($ch); //execute the POST request
        $array = json_decode($result);


		$id = $array[0]->id;
		$fecha_inicio = date('d-m-Y', strtotime($array[0]->fecha_inicio));
		$fecha_termino = date('d-m-Y', strtotime($array[0]->fecha_termino));
		$fecha_retorno = date('d-m-Y', strtotime($array[0]->fecha_retorno));	
		$cantidad = $array[0]->cantidad;		
		$hora_inicio = date("H:i", strtotime($array[0]->hora_inicio));
		$hora_termino = date("H:i", strtotime($array[0]->hora_termino));
		$id_tipo_permiso = $array[0]->id_tipo_permiso;
		$id_persona = $array[0]->id_persona;	
		$id_autoriza = $array[0]->id_autoriza;
		$id_reposo = $array[0]->id_reposo;		
		$observacion = $array[0]->observacion;	
		
		/******************************************************************/		

		$url2 = 'http://200.24.13.60/~program1/power-time-api/public/obtenerpersona';
		$ch2 = curl_init($url2); //create a new cURL resource
		$payload2 = json_encode(array('id' => $id_persona));
		curl_setopt($ch2, CURLOPT_POSTFIELDS, $payload2);//attach encoded JSON string to the POST fields
		curl_setopt($ch2, CURLOPT_HTTPHEADER, array('Content-Type:application/json')); //set the content type to application/json
		curl_setopt($ch2, CURLOPT_RETURNTRANSFER, true); //return response instead of outputting
		$result2 = curl_exec($ch2); //execute the POST request
		$array2 = json_decode($result2);

		$idpersonacargo = $array2[0]->id;
		$rut = $array2[0]->rut;
		$nombrePersona = $array2[0]->nombre ." ". $array2[0]->apellido;
		curl_close($ch2);

		if($id_persona > 0){
			$ch22 = curl_init('http://200.24.13.60/~program1/power-time-api/public/mostrarpersonacargo'); //create a new cURL resource
			$payload22 = json_encode(array('id_persona' => $idpersonacargo));
			curl_setopt($ch22, CURLOPT_POSTFIELDS, $payload22);//attach encoded JSON string to the POST fields
			curl_setopt($ch22, CURLOPT_HTTPHEADER, array('Content-Type:application/json')); //set the content type to application/json
			curl_setopt($ch22, CURLOPT_RETURNTRANSFER, true); //return response instead of outputting
			$result22 = curl_exec($ch22); //execute the POST request
			$array22 = json_decode($result22);
	
			$cargopersona = $array22[0][0]->cargo;
			
			if(empty($cargopersona)) { $cargopersona ="No Asignado"; }			
		}		
		
		/******************************************************************/		

		$url2 = 'http://200.24.13.60/~program1/power-time-api/public/obtenerpersona';
		$ch2 = curl_init($url2); //create a new cURL resource
		$payload2 = json_encode(array('id' => $id_autoriza));
		curl_setopt($ch2, CURLOPT_POSTFIELDS, $payload2);//attach encoded JSON string to the POST fields
		curl_setopt($ch2, CURLOPT_HTTPHEADER, array('Content-Type:application/json')); //set the content type to application/json
		curl_setopt($ch2, CURLOPT_RETURNTRANSFER, true); //return response instead of outputting
		$result2 = curl_exec($ch2); //execute the POST request
		$array2 = json_decode($result2);
	
		$nombreAuroriza = $array2[0]->nombre ." ". $array2[0]->apellido;
		curl_close($ch2); 				
		
		curl_close($ch); 

		/******************************************************************/
		
		$boton = "<button type='button' class='btn btn-info btn-sm' id='btnEditar' name='btnEditar'>EDITAR</button>";
	}

?>
<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>POWERTIME</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css">
  <!-- Ionicons -->
  <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="../dist/css/adminlte.min.css">
  <!-- DataTables -->
  <link rel="stylesheet" href="../plugins/datatables-bs4/css/dataTables.bootstrap4.css">
  
  <link href="../plugins/toastr/build/toastr.css" rel="stylesheet" type="text/css" />
  
  <!-- JQUERY UI -->  
  <link rel="stylesheet" href="../plugins/jQueryUI/jquery-ui.css" />
  
  <style>
  label{
	  font-size:13px;
  }  
  #example{
	  font-size:10px;
  }
  #example2{
	  font-size:10px;
  }  
  #example3{
	  font-size:10px;
  }
  .dataTables_wrapper { font-size: 10px }  
  </style>  
</head>
<body class="hold-transition sidebar-mini">
<div class="wrapper">
 
  <?php include_once("../inc/header.php"); ?>

  <?php include_once("../inc/menu.php"); ?>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2 d-none">
          <div class="col-sm-6">
            <h4>Permiso</h4>
			  <div class="input-group mb-2 input-group-sm">
				<div class="input-group-prepend">
				  <div class="input-group-text">Autoriza</div>
				</div>
				<input type="hidden" class="form-control " id="txtId_autoriza" value="<?php echo $id_autoriza ?>">
			  </div>
			</div>			  
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content" id="app">
      <div class="container-fluid">
        <div class="row">
          <!-- left column -->
          <div class="col-md-6">
            <!-- Horizontal Form -->
            <div class="card">
				<div class="card-body">
				  <div class="form-group">
					<label>Seleccionar Trabajador:</label>
						<div class="row">
							<div class="col-md-8 input-group-sm">
								<input type="text" class="form-control " id="txtNombre" value="<?php echo $nombrePersona ?>" readonly> 
								<input type="hidden" class="form-control " id="txtId_persona" value="<?php echo $id_persona ?>">
							</div>
							<div class="col-md-4">
								<button type="button" class="btn btn-info btn-sm" id="btnBuscar">Buscar </button>
								<button type="button" class="btn btn-info btn-sm d-none" id="btnVerPermisoPermitido">Permiso </button>
							</div>
						</div>					  
				  </div>		
				  <div class="form-group input-group-sm">
					<label>Rut :</label>
					<input type="text" class="form-control" id="txtRut" value="<?php echo $rut ?>" readonly>
				  </div>
				  <div class="form-group input-group-sm">
					<label>Cargo :</label>
					<input type="text" class="form-control" id="txtCargo" value="<?php echo $cargopersona ?>" readonly>
				  </div>					  		    
				  <div class="form-group input-group-sm">
					<label>Fecha Inicio :</label>
					<input type="text" class="form-control control-number" id="txtFecha_inicio" value="<?php echo $fecha_inicio ?>" readonly>
				  </div>				
				  <div class="form-group input-group-sm">
					<label>Fecha T&eacute;rmino:</label>
					<input type="text" class="form-control " id="txtFecha_termino" value="<?php echo $fecha_termino ?>" readonly>
				  </div>
				  <div class="form-group input-group-sm">
					<label>Fecha Retorno:</label>
					<input type="text" class="form-control " id="txtFecha_retorno" value="<?php echo $fecha_retorno ?>" readonly>
				  </div>	
				  <div class="form-group input-group-sm">
					<label>Cantidad días Licencia Médica:</label>
					<input type="text" class="form-control control-number" id="txtCantidad" value="<?php echo $cantidad ?>" >
				  </div>					  
				  <div class="form-group input-group-sm">
					<label>Tipo</label>
					<select class="form-control" id="txtTipo_permiso" >
					</select>
				  </div>	
				  <div class="form-group input-group-sm">
					<label>Reposo</label>
					<select class="form-control" id="txtReposo" >
					</select>
				  </div>					  
				  <div class="form-group input-group-sm d-none hora-permiso">
					<label>Hora Inicio :</label>
					<input type="time" class="form-control" id="txtHora_inicio" value="<?php echo $hora_inicio ?>" >
				  </div>				
				  <div class="form-group input-group-sm d-none hora-permiso">
					<label>Hora T&eacute;rmino:</label>
					<input type="time" class="form-control" id="txtHora_termino" value="<?php echo $hora_termino ?>" >
				  </div>	
				  <div class="form-group">
					<label>Observación:</label>
					<textarea class="form-control" id="txtObservacion" name="txtObservacion" rows="3"><?php echo $observacion ?></textarea>
				  </div>				  
				</div>
				<!-- /.card-body -->
				<div class="card-footer">
					<?php echo $boton ?>
					<input type="hidden" class="form-control" id="txtCargo" value="<?php echo $_SESSION['LOGIN']['CARGOUSUARIO'] ?>">
					<input type="hidden" class="form-control " id="txtId" value="<?php echo $id ?>" readonly>						
					<button type="button" class="btn btn-default float-right" id="btnLimpiar">Limpiar</button>
				</div>
            </div>
          </div>
          
          <div class="col-md-6 d-none" id="div-trabajador">
            <!-- Horizontal Form -->
            <div class="card">
				<div class="card-body">
        			 <div class="row">
        			    <div class="col-md-12">
        				  <div class="input-group mb-2 input-group-sm">
        					<div class="input-group-prepend">
        					  <div class="input-group-text">Centro</div>
        					</div>
        					<select class="form-control" id="txtDepartamento"> </select>
        				  </div>							
        				</div>			
        			 </div>		  
        			 <div class="row">
        				<div class="col-md-12">
        				  <table id="example3" class="table table-bordered table-striped">
        					<thead>
        					<tr>	
        					  <th>RUT</th>					
        					  <th>NOMBRE</th>
        					  <th>TURNO</th>	
        					  <th>CARGO</th>						  
        					  <th></th>				  
        					</tr>
        					</thead>			
        				  </table>					
        				</div>
        			 </div>
				</div>
				<!-- /.card-body -->
				<div class="card-footer">

				</div>
            </div>
          </div>                    
          
        </div>
        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </section>
    <!-- /.content -->
  </div>
  
  <?php include_once("../inc/footer.php"); ?>
  

	
</div>
<!-- ./wrapper -->

<!-- jQuery -->
<script src="../plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="../plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- AdminLTE App -->
<script src="../dist/js/adminlte.min.js"></script>
<!-- DataTables -->
<script src="../plugins/datatables/jquery.dataTables.js"></script>
<script src="../plugins/datatables-bs4/js/dataTables.bootstrap4.js"></script>

<script src="../plugins/toastr/toastr.js"></script>

<!-- JQUERY UI --> 
<script src="../plugins/jQueryUI/jquery-ui.js"></script>


<script>

  $(function () {
	  
	$("#txtCantidad").bind('keypress', function(event) {
	  var regex = new RegExp("^[0-9]+$");
	  var key = String.fromCharCode(!event.charCode ? event.which : event.charCode);
	  if (!regex.test(key)) {
		event.preventDefault();
		return false;
	  }
	});  
	
	$(".control-number").bind('keypress', function(event) {
	  var regex = new RegExp("^[0-9]+$");
	  var key = String.fromCharCode(!event.charCode ? event.which : event.charCode);
	  if (!regex.test(key)) {
		event.preventDefault();
		return false;
	  }
	});	 	
	   
     $('#example3').DataTable({
		  "paging": true,
		  "lengthChange": false,
		  "searching": false,
		  "ordering": false,
		  "info": false,
		  "autoWidth": false,
		  "pageLength": 7,
		  "language": {
			"url": "//cdn.datatables.net/plug-ins/1.10.15/i18n/Spanish.json"
		  } 			  
     });	

     $('#example2').DataTable({
		  "paging": true,
		  "lengthChange": false,
		  "searching": false,
		  "ordering": true,
		  "info": false,
		  "autoWidth": false,
		  "pageLength": 7,
		  "language": {
			"url": "//cdn.datatables.net/plug-ins/1.10.15/i18n/Spanish.json"
		  } 	
     });
	 
     $('#example').DataTable({
		  "paging": true,
		  "lengthChange": false,
		  "searching": false,
		  "ordering": true,
		  "info": false,
		  "autoWidth": false,
		  "pageLength": 7,
		  "language": {
			"url": "//cdn.datatables.net/plug-ins/1.10.15/i18n/Spanish.json"
		  } 	
     });		 
	  
	 /* 
    $(document).bind("contextmenu",function(e){
      return false;
    });	  
	  */

	 $.datepicker.regional['es'] = {
	 closeText: 'Cerrar',
	 prevText: '< Ant',
	 nextText: 'Sig >',
	 currentText: 'Hoy',
	 monthNames: ['Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre'],
	 monthNamesShort: ['Ene','Feb','Mar','Abr', 'May','Jun','Jul','Ago','Sep', 'Oct','Nov','Dic'],
	 dayNames: ['Domingo', 'Lunes', 'Martes', 'Miércoles', 'Jueves', 'Viernes', 'Sábado'],
	 dayNamesShort: ['Dom','Lun','Mar','Mié','Juv','Vie','Sáb'],
	 dayNamesMin: ['Do','Lu','Ma','Mi','Ju','Vi','Sá'],
	 weekHeader: 'Sm',
	 dateFormat: 'yy/mm/dd',
	 firstDay: 1,
	 isRTL: false,
	 showMonthAfterYear: false,
	 yearSuffix: ''
	 };
	 $.datepicker.setDefaults($.datepicker.regional['es']);
	function getDate( element ) {
      var date;
      try {
        date = $.datepicker.parseDate( dateFormat, element.value );
      } catch( error ) {
        date = null;
      }

      return date;
    }
	 
	 $("#txtFecha_inicio").datepicker({
		dateFormat: "dd-mm-yy",
		changeMonth: true,
		changeYear: true,
		yearRange: "1900:2100",
		onSelect: function(dateText, inst) {
		var lockDate = new Date($('#txtFecha_inicio').datepicker('getDate'));
			$('#txtFecha_termino').datepicker('option', 'minDate', lockDate);
			$('#txtFecha_retorno').datepicker('option', 'minDate', lockDate);			
		}		
	 }) 
	
	 $("#txtFecha_termino").datepicker({
		dateFormat: "dd-mm-yy",
		changeMonth: true,
		changeYear: true,
		yearRange: "1900:2100",
		minDate: $("#txtFecha_inicio").val() 
	 })  	

	 $("#txtFecha_retorno").datepicker({
		dateFormat: "dd-mm-yy",
		changeMonth: true,
		changeYear: true,
		yearRange: "1900:2100",
		minDate: $("#txtFecha_termino").val() 
	 })  	


	 $("#txtFecha_inicio_permiso").datepicker({
		dateFormat: "dd-mm-yy",
		changeMonth: true,
		changeYear: true,
		yearRange: "1900:2100",
		onSelect: function(dateText, inst) {
		var lockDate = new Date($('#txtFecha_inicio_permiso').datepicker('getDate'));
		$('#txtFecha_termino_permiso').datepicker('option', 'minDate', lockDate);
		}		
	 }) 
	
	 $("#txtFecha_termino_permiso").datepicker({
		dateFormat: "dd-mm-yy",
		changeMonth: true,
		changeYear: true,
		yearRange: "1900:2100",
		minDate: $("#txtFecha_inicio_permiso").val() 
	 }) 

	  
	$("#txtDepartamento").change(function () {
		listarRegistro();
    });	
	function listarRegistro(){

		$('#example3').dataTable().fnClearTable();

		$.ajax({
			type:'POST',
			contentType: 'application/json',
			dataType: "json",
            crossDomain: true,
			headers: {
				'Content-Type': 'application/json'
			},
			url: "http://200.24.13.60/~program1/power-time-api/public/obtenerpersonadepartamento",
			data : JSON.stringify({
				id_departamento: $('#txtDepartamento').val(),								
			}),		
			success: function(dados)
			{
				$('#example3').dataTable().fnClearTable();
				 for (i=0;i<dados.length;i++){
					for (j=0;j<dados[i].length;j++){
					  var boton = "<button type='button' class='btn btn-info btn-xs btn-editar'>Asignar</button>";
					  $('#example3').dataTable().fnAddData( [
						dados[i][j].rut,						  
						dados[i][j].nombre+" "+dados[i][j].apellido,	
						dados[i][j].turno,		
						dados[i][j].cargo,								
						boton +"<input type='hidden' value ='"+dados[i][j].id+"' />"
					  ]);
					}
				}
			}
		});

	}
	
	$("#example3").on('click','.btn-editar', function() {
		var id = $(this).parents("tr").find("td:eq(4)").find("input").val();	
		$.ajax({
			type:'POST',
			contentType: 'application/json',
			dataType: "json",
            crossDomain: true,
			headers: {
				'Content-Type': 'application/json'
			},
			url: "http://200.24.13.60/~program1/power-time-api/public/obtenerpersona",
			data : JSON.stringify({
				id: id			
			}),			
			success: function(dados)
			{
				 for (i=0;i<dados.length;i++){	
					$("#txtRut").val(dados[i].rut); 				
					$("#txtNombre").val(dados[i].nombre+" "+dados[i].apellido); 
					$("#txtId_persona").val(id);
					listarPermisoTrabajador();
					$("#btnVerPermisoPermitido").removeClass("d-none");
				}
			}
		});
		
		
		$.ajax({
			type:'POST',
			contentType: 'application/json',
			dataType: "json",
            crossDomain: true,
			headers: {
				'Content-Type': 'application/json'
			},
			url: "http://200.24.13.60/~program1/power-time-api/public/mostrarpersonacargo",
			data : JSON.stringify({
				id_persona: id			
			}),			
			success: function(dados)
			{
				 for (i=0;i<dados.length;i++){					
					$("#txtCargo").val(dados[i][0].cargo); 
				}
			}
		});	

	});			
		
	listarRegistroDep();
	function listarRegistroDep(){

		$.ajax({
			type:'POST',
			contentType: 'application/json',
			dataType: "json",
            crossDomain: true,
			headers: {
				'Content-Type': 'application/json'
			},
			url: "http://200.24.13.60/~program1/power-time-api/public/departamentopersona",
			data : JSON.stringify({
				id_persona:$("#txtId_autoriza").val()					
			}),			
			success: function(dados)
			{
				 for (i=0;i<dados.length;i++){
					for (j=0;j<dados[i].length;j++){						

						$('#txtDepartamento').append($('<option>', {
							value: dados[i][j].id_departamento,
							text : dados[i][j].sucursal + " (" +dados[i][j].departamento +" )"
						}));
					}
				}
				listarRegistro();
			}
		});

	}
	 
	combo();
	function combo(){
		$.ajax({
			type:'POST',
			contentType: 'application/json',
			dataType: "json",
            crossDomain: true,
			headers: {
				'Content-Type': 'application/json'
			},
			url: "http://200.24.13.60/~program1/power-time-api/public/licencia",		
			success: function(dados)
			{
				for (i=0;i<dados.length;i++){
					for (j=0;j<dados[i].length;j++){
						$('#txtTipo_permiso').append($('<option>', {
							value: dados[i][j].id,
							text : dados[i][j].descripcion
						}));					
					}
				}		
			}
		});	
		$.ajax({
			type:'POST',
			contentType: 'application/json',
			dataType: "json",
            crossDomain: true,
			headers: {
				'Content-Type': 'application/json'
			},
			url: "http://200.24.13.60/~program1/power-time-api/public/reposo",		
			success: function(dados)
			{
				for (i=0;i<dados.length;i++){
					for (j=0;j<dados[i].length;j++){
						$('#txtReposo').append($('<option>', {
							value: dados[i][j].id,
							text : dados[i][j].descripcion
						}));					
					}
				}		
			}
		});			
	}
		

	$("#btnEnviar").click(function(){
		if(parseInt($("#txtTipo_permiso").val()) == 0){
			toastr.warning("Debe Seleccionar Tipo de Licencia Médica", "POWERTIME");
			return false;
		}
		else if(parseInt($("#txtId_persona").val()) == 0){
			toastr.warning("Debe Seleccionar Trabajador", "POWERTIME");
			return false;
		}
		else if( $("#txtCantidad").val() == null || $("#txtCantidad").val().length == 0 || /^\s+$/.test($("#txtCantidad").val()) ){
			toastr.warning("Debe ingresar Cantidad de D&iacute;as de Licencia Médica", "POWERTIME");
            return false;
		}	
		else if(parseInt($("#txtCantidad").val()) == 0){
			toastr.warning("Debe ingresar Cantidad de D&iacute;as de Licencia Médica", "POWERTIME");
			return false;
		}		
		else if( $("#txtObservacion").val() == null || $("#txtObservacion").val().length == 0 || /^\s+$/.test($("#txtObservacion").val()) ){
			toastr.warning("Debe ingresar Motivo de la Licencia Médica", "POWERTIME");
            return false;
		}
		else{
			$.ajax({
				type:'POST',
				contentType: 'application/json',
				dataType: "json",
				crossDomain: true,
				ifModified:true,
				cache: false,
				headers: {
					'Content-Type': 'application/json'
				},
				url: "http://200.24.13.60/~program1/power-time-api/public/ingresarlicencia",
				data : JSON.stringify({
					fecha_inicio:convertDateFormat($("#txtFecha_inicio").val()),
					fecha_termino:convertDateFormat($("#txtFecha_termino").val()),	
					fecha_retorno:convertDateFormat($("#txtFecha_retorno").val()),	
					cantidad:$("#txtCantidad").val(),						
					hora_inicio:$("#txtHora_inicio").val(),	
					hora_termino:$("#txtHora_termino").val(),	
					id_tipo_permiso:$("#txtTipo_permiso").val(),	
					id_persona:$("#txtId_persona").val(),	
					id_autoriza:$("#txtId_autoriza").val(),	
					id_reposo:$("#txtReposo").val(),						
					observacion:$("#txtObservacion").val()				
				}),
				success: function(data, textStatus, xhr) {
					if(parseInt(xhr.status) == 200){
						toastr.warning(data.error, "POWERTIME");
					}					
					if(parseInt(xhr.status) == 201){
						enviarCorreo();
						logPermiso(data[0].id, "LICENCIA MEDICA EDITADA, "+ $("#txtObservacion").val());
						limpiarFormulario();
					}
				}			
			})			
		}
	});
	
	function enviarCorreo(){
		$.ajax({
			type:'POST',
			dataType: "json",
			url: "enviarcorreo.php",
			data : {
				txtNombre: $('#txtNombre').val(),																	
			},					
			success: function(dados){
					toastr.success(dados[0].descripcion, "POWERTIME");							
			},
    error: function (request, status, error) {
        alert(request.responseText);
    }			
		})			
	}	

	$("#btnEditar").click(function(){
		if(parseInt($("#txtTipo_permiso").val()) == 0){
			toastr.warning("Debe Seleccionar Tipo de Licencia Médica", "POWERTIME");
			return false;
		}
		else if(parseInt($("#txtId_persona").val()) == 0){
			toastr.warning("Debe Seleccionar Trabajador", "POWERTIME");
			return false;
		}
		else if( $("#txtCantidad").val() == null || $("#txtCantidad").val().length == 0 || /^\s+$/.test($("#txtCantidad").val()) ){
			toastr.warning("Debe ingresar Cantidad de D&iacute;as de Licencia Médica", "POWERTIME");
            return false;
		}	
		else if(parseInt($("#txtCantidad").val()) == 0){
			toastr.warning("Debe ingresar Cantidad de D&iacute;as de Licencia Médica", "POWERTIME");
			return false;
		}		
		else if( $("#txtObservacion").val() == null || $("#txtObservacion").val().length == 0 || /^\s+$/.test($("#txtObservacion").val()) ){
			toastr.warning("Debe ingresar Motivo de la Licencia Médica", "POWERTIME");
            return false;
		}
		else{
			$.ajax({
				type:'POST',
				contentType: 'application/json',
				dataType: "json",
				crossDomain: true,
				headers: {
					'Content-Type': 'application/json'
				},
				url: "http://200.24.13.60/~program1/power-time-api/public/actualizarpermiso",
				data : JSON.stringify({
					id:$("#txtId").val(),
					fecha_inicio:convertDateFormat($("#txtFecha_inicio").val()),
					fecha_termino:convertDateFormat($("#txtFecha_termino").val()),	
					fecha_retorno:convertDateFormat($("#txtFecha_retorno").val()),	
					cantidad:$("#txtCantidad").val(),						
					hora_inicio:$("#txtHora_inicio").val(),	
					hora_termino:$("#txtHora_termino").val(),	
					id_tipo_permiso:$("#txtTipo_permiso").val(),	
					id_persona:$("#txtId_persona").val(),	
					id_autoriza:$("#txtId_autoriza").val(),	
					id_reposo:$("#txtReposo").val(),					
					observacion:$("#txtObservacion").val()					
				}),
				success: function(data, textStatus, xhr) {
					if(parseInt(xhr.status) == 201){
						toastr.success("Registro Editado Exitosamente", "POWERTIME");
						logPermiso($("#txtId").val(), "LICENCIA MEDICA EDITADA, "+ $("#txtObservacion").val());
					}
				}
			})			
		}
		
	});	

	$("#btnBuscar").click(function(){
		$("#txtId_persona").val(0); 
		$("#txtNombre").val("");
		$("#btnVerPermisoPermitido").addClass("d-none");
		$("#div-trabajador").removeClass("d-none");		
	});

 	$("#btnLimpiar").click(function(){
		limpiarFormulario();
	});
	
	function limpiarFormulario(){
		$("#txtId").val(0);
		$("#txtFecha_inicio").val(fechaActual());
		$("#txtFecha_termino").val(fechaActual());	
		$("#txtHora_inicio").val("00:00");	
		$("#txtHora_termino").val("00:00");	
		$(".hora-permiso").addClass("d-none");				
		$("#txtTipo_permiso").val(0);	
		$("#txtId_persona").val(0);		
	    $("#txtCantidad").val(0);
        $("#txtFecha_retorno").val(fechaActual());		
		$("#txtObservacion").val("");
		$("#div-permisos").addClass("d-none");
		$("#txtNombre").val(""); 
		$("#div-trabajador").addClass("d-none");
		$("#btnVerPermisoPermitido").addClass("d-none");
	}
 
	function fechaActual(){
		var fecha = new Date();
		var dia = fecha.getDate();
		var mes = fecha.getMonth() + 1;
		var anio = fecha.getFullYear();	
		if(dia < 10) { dia = "0"+dia; } 
		if(mes < 10) { mes = "0"+mes; }
        return anio+"-"+mes+"-"+dia;  		
	}
	
    function logPermiso(idPermiso, observacion){
		$.ajax({
			type:'POST',
			contentType: 'application/json',
			dataType: "json",
			crossDomain: true,
			headers: {
				'Content-Type': 'application/json'
			},
			url: "http://200.24.13.60/~program1/power-time-api/public/ingresarlogpermiso",
			data : JSON.stringify({
				id_permiso:idPermiso,
				id_usuario:$("#txtId_autoriza").val(),	
				observacion:observacion				
			}),
			success: function(data, textStatus, xhr) {
				if(parseInt(xhr.status) == 201){
					toastr.success("Permiso Procesado Exitosamente", "POWERTIME");
				}
			}
		})
	}
	
	function convertDateFormat(numeros) {
        return numeros.split('-').reverse().join('-');
    }		
	
});	 	
  
</script>

</body>
</html>
